\documentclass{standalone}

\usepackage[latin1]{inputenc}
\usepackage{tikz}
\usetikzlibrary{trees}
\usetikzlibrary{decorations.pathmorphing}
\usetikzlibrary{decorations.markings}
\begin{document}

\begin{tikzpicture}[level/.style={sibling distance=30mm/#1}]
    \tikzset{var/.style = {shape=circle,draw}}
    \tikzset{term/.style = {shape=rectangle,draw}}
    % Vertices
    \node[scale=2](fun) at (0,2) {$abc^{\prime}$};
    \node[var, scale=2] (a) at (0,0) {$a$};
    \node[var, scale=2] (b) at (1,-2) {$b$};
    \node[var, scale=2] (c) at (2,-4) {$c$};
    \node[term, scale=2] (t) at (2,-6) {$0$};
    \node[term, scale=2] (f) at (-2,-6) {$1$};
    % Edges
    \draw (fun) to (a);
    \draw[ultra thick] (a) to (f);
    \draw (a) to (b);
    \draw[ultra thick] (b) to (f);
    \draw (b) to (c);
    \draw[ultra thick] (c) to (t);
    \draw (c) to (f);
\end{tikzpicture}

\end{document}